### File

`packages/components/eui-input-group/eui-input-group.component.ts`

### Description

A component that serves as the main container for input group elements. Can only be used as an attribute selector on a div element.

### Metadata

HostDirectives | `BaseStatesDirective` Inputs : euiSizeS euiSizeVariant
selector | `div[euiInputGroup]`
template |
    <ng-content/>
styleUrl | `./eui-input-group.scss`

### Index

###### Properties
Public baseStatesDirective
###### Inputs
e2eAttr
###### HostBindings
attr.type class
###### Accessors
cssClasses

### Inputs

e2eAttr
Type : `string`
Default value : `'eui-input-group'`

### HostBindings

attr.type
Type : `string`
Default value : `'inputGroup'`

class
Type : `string`

### Properties

Public baseStatesDirective
Type : `BaseStatesDirective`
Default value : `inject(BaseStatesDirective)`

### Accessors

cssClasses
get `cssClasses()`
Getter that returns the CSS class for the component. Bound to the host element's class attribute. Returns : `string`

# results matching ""

# No results matching ""